korczis korczis

microscratch

24 39 0

Light Weight Web Framework using node.js, mongo, sockets, ember.js ...

Dependencies

Package Locked Requirement Latest Status Changelog
Npms amdefine ~0.1.0 1.0.0

amdefine

Provide AMD's define() API for declaring modules in the AMD format

This dependency is not matching latest version. Please consider upgrading.

Npms archy 0.0.2 1.0.0

archy

render nested hierarchies `npm ls` style with unicode pipes

This dependency is not matching latest version. Please consider upgrading.

Npms body-parser ^1.9.0 1.13.3

body-parser

Node.js body parsing middleware

This dependency is up-to-date. Congrats and keep going!

Bower bootstrap 3.2.0 3.3.5

This dependency is not matching latest version. Please consider upgrading.

Bower chai 1.9.2 3.2.0

This dependency is not matching latest version. Please consider upgrading.

Bower chai-jquery 1.2.2 2.0.0

This dependency is not matching latest version. Please consider upgrading.

Npms cheerio ~0.17.0 0.19.0

cheerio

Tiny, fast, and elegant implementation of core jQuery designed specifically for the server

This dependency is not matching latest version. Please consider upgrading.

Npms coffee-script ~1.8.0 1.9.3

coffee-script

Unfancy JavaScript

This dependency is not matching latest version. Please consider upgrading.

Npms connect-mongo ~0.4.1 0.8.2

connect-mongo

MongoDB session store for Express and Connect

This dependency is not matching latest version. Please consider upgrading.

Npms cookie-parser ^1.3.3 1.3.5

cookie-parser

cookie parsing with signatures

This dependency is up-to-date. Congrats and keep going!

Npms csv ~0.4.0 0.4.5

csv

CSV parser with simple api, full of options and tested against large datasets.

This dependency is up-to-date. Congrats and keep going!

Npms deferred 0.7.1 0.7.2

deferred

Modular and fast Promises implementation

This dependency is not matching latest version. Please consider upgrading.

Bower ember 1.7.0 1.13.5

This dependency is not matching latest version. Please consider upgrading.

Bower ember-data 1.0.0-beta.10 1.13.5

This dependency is not matching latest version. Please consider upgrading.

Npms express ~4.10.0 4.13.3

express

Fast, unopinionated, minimalist web framework

This dependency is not matching latest version. Please consider upgrading.

Npms express-session ^1.8.2 1.11.3

express-session

Simple session middleware for Express

This dependency is up-to-date. Congrats and keep going!

Npms express3-handlebars 0.5.0 0.5.0

express3-handlebars

A Handlebars view engine for Express which doesn't suck.

This dependency is up-to-date. Congrats and keep going!

Bower font-awesome ~4.2.0 4.4.0

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-forever ~0.4.4 0.4.7

grunt-forever

Grunt task for starting and stopping an application as a daemon using forever

This dependency is up-to-date. Congrats and keep going!

Bower handlebars 1.3.0 3.0.3

This dependency is not matching latest version. Please consider upgrading.

Npms handlebars ~1.3.0 3.0.3

handlebars

Handlebars provides the power necessary to let you build semantic templates effectively with no frustration

This dependency is not matching latest version. Please consider upgrading.

Bower jquery 2.1.1 2.1.4

This dependency is not matching latest version. Please consider upgrading.

Npms method-override ^2.2.0 2.3.5

method-override

Override HTTP verbs

This dependency is up-to-date. Congrats and keep going!

Bower mocha 1.21.4 2.2.5

This dependency is not matching latest version. Please consider upgrading.

Bower modernizr 2.8.3 2.8.3

This dependency is up-to-date. Congrats and keep going!

Bower moment 2.8.3 2.10.5

This dependency is not matching latest version. Please consider upgrading.

Npms moment ~2.8.3 2.10.6

moment

Parse, validate, manipulate, and display dates

This dependency is not matching latest version. Please consider upgrading.

Npms mongo-watch ~0.2.2 0.2.2

mongo-watch

A mongo watcher. This ties into the MongoDB replication oplog, and exposes all data modifications via an EventEmitter.

This dependency is up-to-date. Congrats and keep going!

Npms mongodb ~2.0.4 2.0.39

mongodb

A node.js driver for MongoDB

This dependency is up-to-date. Congrats and keep going!

Npms mongoose ~3.8.18 4.1.1

mongoose

Mongoose MongoDB ODM

This dependency is not matching latest version. Please consider upgrading.

Npms mongoose-times ~0.1.0 0.1.0

mongoose-times

Mongoose plugin to add created and lastUpdated properties to schemas. Date properties are auto-assigned by the plugin, and the key names can be easily customized to match your naming style.

This dependency is up-to-date. Congrats and keep going!

Npms node-sass ~1.0.3 3.2.0

node-sass

Wrapper around libsass

This dependency is not matching latest version. Please consider upgrading.

Npms node.extend ~1.1.2 1.1.5

node.extend

A port of jQuery.extend that actually works on node.js

This dependency is up-to-date. Congrats and keep going!

Bower normalize-css ~3.0.1 3.0.3

This dependency is up-to-date. Congrats and keep going!

Npms optimist ~0.6.1 0.6.1

optimist

Light-weight option parsing with an argv hash. No optstrings attached.

This dependency is up-to-date. Congrats and keep going!

Bower r.js ~2.1.14 2.1.20

This dependency is up-to-date. Congrats and keep going!

Npms request ~2.46.0 2.60.0

request

Simplified HTTP request client.

This dependency is not matching latest version. Please consider upgrading.

Npms requirejs ~2.1.15 2.1.20

requirejs

Node adapter for RequireJS, for loading AMD modules. Includes RequireJS optimizer

This dependency is up-to-date. Congrats and keep going!

Bower requirejs 2.1.14 2.1.18

This dependency is not matching latest version. Please consider upgrading.

Npms session.socket.io ~0.1.6 0.2.1

session.socket.io

Integrate Connect/Express (v3/v4) middleware sessions with socket.io

This dependency is not matching latest version. Please consider upgrading.

Npms socket.io ~1.1.0 1.3.6

socket.io

node.js realtime framework server

This dependency is not matching latest version. Please consider upgrading.

Bower socket.io-client 1.1.0 1.3.6

This dependency is not matching latest version. Please consider upgrading.

Npms solr-client ~0.4.0 0.5.0

solr-client

A Solr client library for indexing, adding, deleting, committing, optimizing and searching documents within an Apache Solr installation (version>=3.2)

This dependency is not matching latest version. Please consider upgrading.

Npms winston ~0.8.1 1.0.1

winston

A multi-transport async logging library for Node.js

This dependency is not matching latest version. Please consider upgrading.

Package Locked Requirement Latest Status Changelog
Npms chai ~1.9.2 3.2.0

chai

BDD/TDD assertion library for node.js and the browser. Test framework agnostic.

This dependency is not matching latest version. Please consider upgrading.

Npms grunt ~0.4.5 0.4.5

grunt

The JavaScript Task Runner

This dependency is up-to-date. Congrats and keep going!

Npms grunt-bower-task ~0.4.0 0.4.0

grunt-bower-task

Install Bower packages.

This dependency is up-to-date. Congrats and keep going!

Npms grunt-contrib-clean ~0.6.0 0.6.0

grunt-contrib-clean

Clean files and folders.

This dependency is up-to-date. Congrats and keep going!

Npms grunt-contrib-cssmin ~0.10.0 0.13.0

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-contrib-handlebars ~0.8.0 0.10.2

grunt-contrib-handlebars

Precompile Handlebars templates to JST file.

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-contrib-jshint ~0.10.0 0.11.2

grunt-contrib-jshint

Validate files with JSHint.

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-contrib-less ~0.11.4 1.0.1

grunt-contrib-less

Compile LESS files to CSS.

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-contrib-sass ~0.8.1 0.9.2

grunt-contrib-sass

Compile Sass to CSS

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-contrib-watch ~0.6.1 0.6.1

grunt-contrib-watch

Run predefined tasks whenever watched file patterns are added, changed or deleted.

This dependency is up-to-date. Congrats and keep going!

Npms grunt-ember-templates ~0.4.21 0.5.0

grunt-ember-templates

Compile Handlebars templates for Ember in Grunt. Features destination:source file arguments and customizable template names.

This dependency is not matching latest version. Please consider upgrading.

Npms grunt-express ~1.4.1 1.4.1

grunt-express

Start (and supervise) an Express.js web server using grunt.js, works well with socket.io

This dependency is up-to-date. Congrats and keep going!

Npms grunt-jsdoc ~0.6.0 0.6.7

grunt-jsdoc

Integrates jsdoc3 generation into your Grunt build

This dependency is up-to-date. Congrats and keep going!

Npms grunt-mocha-test ~0.12.0 0.12.7

grunt-mocha-test

A grunt task for running server side mocha tests

This dependency is up-to-date. Congrats and keep going!

Npms grunt-npm-install ~0.1.0 0.2.0

grunt-npm-install

Grunt task to install npm modules.

This dependency is not matching latest version. Please consider upgrading.

Npms mocha ~1.21.4 2.2.5

mocha

simple, flexible, fun test framework

This dependency is not matching latest version. Please consider upgrading.

Npms mocha-sinon ~1.1.0 1.1.4

mocha-sinon

mocha integration for sinon

This dependency is up-to-date. Congrats and keep going!

Npms sinon ~1.10.3 1.15.4

sinon

JavaScript test spies, stubs and mocks.

This dependency is not matching latest version. Please consider upgrading.

Npms sinon-chai ~2.6.0 2.8.0

sinon-chai

Extends Chai with assertions for the Sinon.JS mocking framework.

This dependency is not matching latest version. Please consider upgrading.